Subject: RE: draft-bhatia-manral-diff-isis-ospf-01.txt

From: "Manav Bhatia" <[email-masked]>
Date: Wed, 10 Aug 2005 05:51:14 +0530

----- Original Message ----- 
From: "Tom Petch" <[email-masked]>
To: "Manav Bhatia" <[email-masked]>; <[email-masked]>
Sent: Monday, August 08, 2005 3:47 PM
Subject: Re: draft-bhatia-manral-diff-isis-ospf-01.txt

> I agree there is a need for a document that meets the aims of this one,
but do
> not believe that this is yet it:-)
>
> I find it goes straight into a level of detail which I may or may not
agree
> with, depending on the unstated context.  I find it telling that while
RFC2328
> and RFC2740 are listed in the references, they are never cited in the body
of
> the document, that is you never say what you mean by OSPF, which of the
RFC you

Look into the abstract and you will see both 2328 and 2740 being referenced.
I however agree that we still need to cite more references in the draft.

> include. Where IS-IS is concerned, I recall a liaison (which I cannot
currently
> locate) specifying which aspects of IS-IS the IETF would standardise and
which
> would be standardised elsewhere, that is, there is work progressing on it
> elsewhere; you have a reference to the ITU, my recollection is that it was
ISO..

>From the draft:

"Since both these routing protocols originated in different standard bodies,
IS-IS in ISO and OSPF in the IETF, there exists some difference in the
terminologies used."

Yes, i do see a reference to ITU, let me check on that.

>
> Section 4 illustrates my problem with OSPF.  Entitled 'Interface types',
it is
> mostly about network types and modes.  RFC2328 specificies three network
types
> of which non-broadcast can run in two modes, P2MP or NBMA, and I have
always
> liked this classification. But I now find that many people are using the
> terminology from Cisco's IOS which I can never reconcile with the RFC, so
for
> me, this is a confused area where you should say more about what you mean
by the
> terminology.  And again in this section, the terminology switches from the
> abstract to PVC to ATM, leaving me wondering why; when you refer to PVC,
are you
> implicitly excluding networks that use SVC or do not have VC at all?

Fair enough. This point is well taken.

There were some issues with ISIS over ATM and so we had explicitly mentioned
those (when discussing NBMA). This part can be fixed though.

Thanks,
Manav

>
> So, to coin a phrase, I would like more of 'stating the obvious' since I
then
> would know whether or not I agree with you in the detail.
>
> Tom Petch
>
> ----- Original Message -----
> From: "Manav Bhatia" <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Monday, July 25, 2005 5:27 AM
> Subject: draft-bhatia-manral-diff-isis-ospf-01.txt
>
>
> > Hi,
> >
> > The increasing popularity of IS-IS and OSPF over the years has drawn
> > significant attention to the relative merits and de-merits of one with
> > respect to the other. We have written a draft that presents an elaborate
> > comparison between the two routing protocols to explain how the features
and
> > functionalities of one differs from the other. Wherever applicable the
> > differences between OSPFv2 and OSPFv3 have also been pointed out. This
draft
> > was written over a period of time and has been contributed to by a lot
of
> > people.
> >
> >
> > The URL for this Internet-Draft is:
> >
http://www.ietf.org/internet-drafts/draft-bhatia-manral-diff-isis-ospf-01.tx
> > t
> >
> > Please let us know if you have any comments.
> >
> > Thanks,
> > Manav
> >
> > --
> > Manav Bhatia
> > Member of Technical Staff
> > Riverstone Networks, Inc.
> > http://www.riverstonenet.com
> >
> >
> > _______________________________________________
> > Rtgwg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/rtgwg
>

_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg